## mplayer 1.1+dfsg1-0ubuntu3.1+7.0trisquel1

=== debian/changelog ===
mplayer (2:1.1+dfsg1-0ubuntu3.1+7.0trisquel1) belenos-security; urgency=medium

  * Removed references to non-free stuff

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 20 Sep 2018 12:11:11 +0000

mplayer (2:1.1+dfsg1-0ubuntu3.1) trusty-security; urgency=medium

  * SECURITY UPDATE: Integer overflow in demuxer for GIFs
    - debian/patches/CVE-2016-4352.patch: Validate image size in demux_gif
    - CVE-2016-4352

 -- Mike Salvatore <mike.salvatore@canonical.com>  Tue, 18 Sep 2018 06:20:41 -0400
