## mplayer 1.1.1+svn37434

=== debian/changelog ===
mplayer (2:1.1.1+svn37434-3) unstable; urgency=medium

  * debian/control:
    - Disable Samba support in GNU/Hurd. Samba does not build due to lack of
      partial file locking in GNU/Hurd.
  * debian/patches:
    - Add patches to fix FTBFS in kfreebsd and GNU/Hurd.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Wed, 16 Sep 2015 00:16:30 -0400

mplayer (2:1.1.1+svn37434-2) unstable; urgency=medium

  * debian/control:
    - Remove libsdl1.1-dev as an alternative in the build dependencies.
    - Drop build dependency on liblivemedia-dev. Newer API is not supported.
  * debian/rules:
    - Disable --enable-radio and --enable-radio-capture in !linux-any. They
      require linux only headers causing FTBFS in kfreebsd-* and hurd.
    - Enable runtime cpu detection in hurd-i386. (Closes: #735371)
    - Use oss as fallback to alsa in x32.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Thu, 30 Jul 2015 14:04:44 -0400

mplayer (2:1.1.1+svn37434-1) unstable; urgency=medium

  * Re-introduce mplayer into Debian. (Closes: #763826)

  [ upstream ]
  * New release.
    - Fixes "mplayer freezes while playing back a theora video file".
      Closes: #590441.
    - Fixes playback with theora.
      Closes: #680595.
    - Support -alang and -slang for bluray://
      Closes: #781947.

  [ Andres Mejia ]
  * Remove myself as uploader.

  [ Reinhard Tartler ]
  * Improve package descriptions.
    Closes: #641675. Thanks to Paul Stewart <paulbrianstewart@gmail.com>.

  [ Miguel A. Colón Vélez ]
  * Add myself as uploader.
  * Update to debhelper with compat 9.
    - Update debian/clean and other files to account for this.
    - Bump debhelper build dependency.
  * Make lintian happy.
    - Move the manpages of mencoder from the mplayer to mencoder and add the
      appropriate Breaks/Replaces.
    - Add gmplayer manpages.
    - Fix mplayer-gui.menu.
    - Bump Standards-Version to 3.9.6 (no changes needed).
    - Add a watch file.
  * debian/control:
    - Change build dependencies from libav to ffmpeg.
    - Drop the version requirement for the libtheora-dev build dependency.
    - Drop libavdevice-dev build dependency. Not needed.
    - Drop libsvga1-dev build dependency. Package no longer in Debian.
    - Add build dependencies to achieve feature parity with mplayer2.
      + liba52-dev, libass-dev, libbs2b-dev, cdparanoia to cdio, libdv-dev,
        libmad0-dev, libmng-dev, libmpg123-dev, and libxss-dev.
    - Add build dependencies to activate some extra features.
      + libcrystalhd-dev, libgsm1-dev, libopenjpeg-dev, libopus-dev, librtmp-dev
        and libtwolame-dev.
      + libxt-dev for nas support.
    - Use fonts-freefont-ttf instead of ttf-freefont in the Suggests.
    - Multi-archify the package by adding Multi-Arch: foreign or same.
  * debian/patches:
    - Update and refresh patches.
    - Add a patch to update the VERSION file.
  * debian/rules:
    - Create a get-orig-source-target to obtain the upstream source.
      + Update README.source to document the get-orig-source routine.
    - Remove deprecated configurations (--disable-dvdread-internal and
      --disable-libdvdcss-internal).
    - Link with --as-needed.
  * Remove unneeded maintainer script.
  * Update the copyright file.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Thu, 23 Jul 2015 14:07:27 -0400
