## mplayer 1.2

=== debian/changelog ===
mplayer (2:1.2-1mx150+1) mx; urgency=low

  * Rebuild for MX 15 repository.

 -- Steven Pusser (Stevo) <maintainer@mepiscommunity.org>  Fri, 13 Nov 2015 15:38:38 -0800

mplayer (2:1.2-1) unstable; urgency=medium

  * New upstream release.
    - MPlayer using the FFmpeg 2.8 release. This will be the last FFmpeg release
      before a lot of the old APIs are dropped. Some features will have to be
      removed in MPlayer after (eg. XvMC, lavfi ulnless it's rewritten), because
      of incompatibilities or deprecation.
  * debian/control:
    - Split the Build-Depends into B-D/B-D-Arch/B-D-Indep. This allows building
      the source or arch-all packages without having to install unneeded
      packages.
  * debian/patches:
    - Refresh patches and drop the ones applied by upsteam.
    - Cherry pick r37545 to allow building without an internal FFmpeg.
    - Cherry pick r37548 from the 1.2 branch to fix a segmentation fault.
    - Cherry pick r37549 to allow building the documentation without FFmpeg.
  * debian/rules:
    - Pass a minimal set of configuration options when just building the docs.
  * Update the copyright file.
  * Remove the menu file since a desktop file is provided.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Mon, 02 Nov 2015 06:02:19 -0500
