=== debian/control ===
--- 
+++ 
@@ -1,7 +1,9 @@
 Source: mplayer
 Section: video
 Priority: optional
-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
+Bugs: mailto: maintainer@mepiscommunity.org
+XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  A Mennucc1 <mennucc1@debian.org>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>,
@@ -11,18 +13,17 @@
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/mplayer.git
 Homepage: https://www.mplayerhq.hu
 Build-Depends:
- debhelper (>= 9~),
- docbook-xml,
- docbook-xsl,
+ debhelper (>= 9~)
+Build-Depends-Arch:
  ladspa-sdk,
  liba52-dev,
  libaa1-dev,
  libasound2-dev [linux-any],
  libass-dev,
  libaudio-dev,
- libavcodec-dev (>= 7:2.4~),
- libavformat-dev (>= 7:2.4~),
- libavutil-dev (>= 7:2.4~),
+ libavcodec-ffmpeg-dev (>= 7:2.4~),
+ libavformat-ffmpeg-dev (>= 7:2.4~),
+ libavutil-ffmpeg-dev (>= 7:2.4~),
  libbluray-dev,
  libbs2b-dev,
  libcaca-dev,
@@ -59,14 +60,14 @@
  libopenjpeg-dev,
  libopus-dev,
  libpng-dev,
- libpostproc-dev (>= 7:2.4~),
+ libpostproc-ffmpeg-dev (>= 7:2.4~),
  libpulse-dev,
  librtmp-dev,
  libschroedinger-dev,
  libsdl1.2-dev,
  libsmbclient-dev [!hurd-any],
  libspeex-dev,
- libswscale-dev (>= 7:2.4~),
+ libswscale-ffmpeg-dev (>= 7:2.4~),
  libtheora-dev,
  libtwolame-dev,
  libvdpau-dev,
@@ -86,9 +87,12 @@
  pkg-config,
  vstream-client-dev,
  x11proto-core-dev,
- xsltproc,
  yasm,
  zlib1g-dev
+Build-Depends-Indep:
+ docbook-xml,
+ docbook-xsl,
+ xsltproc
 
 Package: mplayer-gui
 Architecture: any
