=== debian/rules ===
--- 
+++ 
@@ -26,6 +26,13 @@
 	--extra-cflags="${CFLAGS}" \
 	--extra-ldflags="${LDFLAGS}" \
 	$(archconf)
+
+CONFIGURE_DOC_FLAGS = \
+	--disable-ffmpeg_a \
+	--disable-mencoder \
+	--disable-mplayer \
+	--yasm='' \
+	--language=all
 
 # Runtime detections is available for i386, amd64 and ppc.
 ifneq (,$(filter $(DEB_HOST_ARCH),i386 hurd-i386 kfreebsd-i386 amd64 kfreebsd-amd64 powerpc))
@@ -82,8 +89,11 @@
 override_dh_auto_clean:
 	[ -f config.mak ] && $(MAKE) distclean || true
 
-override_dh_auto_configure:
+override_dh_auto_configure-arch:
 	./configure $(CONFIGURE_FLAGS) --enable-gui
+
+override_dh_auto_configure-indep:
+	[ -f config.mak ] || ./configure $(CONFIGURE_DOC_FLAGS)
 
 override_dh_auto_install-arch:
 	$(MAKE) install-mplayer DESTDIR=$(CURDIR)/debian/mplayer
@@ -112,6 +122,7 @@
 override_dh_strip:
 	dh_strip --dbg-package=mplayer-dbg
 
+
 get-orig-source:
 	sh debian/get-svn-source.sh
