## mplayer 1.2.1

=== debian/changelog ===
mplayer (2:1.2.1-1) unstable; urgency=medium

  * New upstream release.
    - Init network when using libavformat for streaming. (Closes: #808385)
    - Fix build regression on FreeBSD. (Closes: #808682)
  * debian/control:
    - Bump Standards-Version to 3.9.7 (no changes needed).
    - Drop the build-dependency on libpng-dev as requested in #809955. Other
      build-dependencies still pull this package therefore there is no change in
      current behavior.
  * debian/patches:
    - Refresh patches and drop the ones applied by upstream.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Tue, 23 Feb 2016 23:08:20 -0500
