=== debian/control ===
--- 
+++ 
@@ -1,14 +1,12 @@
 Source: mplayer
 Section: video
 Priority: optional
-Maintainer: Steven Pusser (Stevo) <maintainer@mepiscommunity.org>
-Bugs: mailto: maintainer@mepiscommunity.org
-XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
 Uploaders:
  A Mennucc1 <mennucc1@debian.org>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>,
  Reinhard Tartler <siretart@tauware.de>
-Standards-Version: 3.9.6
+Standards-Version: 3.9.7
 Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mplayer.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/mplayer.git
 Homepage: https://www.mplayerhq.hu
@@ -21,9 +19,9 @@
  libasound2-dev [linux-any],
  libass-dev,
  libaudio-dev,
- libavcodec-ffmpeg-dev (>= 7:2.4~),
- libavformat-ffmpeg-dev (>= 7:2.4~),
- libavutil-ffmpeg-dev (>= 7:2.4~),
+ libavcodec-dev (>= 7:2.4~),
+ libavformat-dev (>= 7:2.4~),
+ libavutil-dev (>= 7:2.4~),
  libbluray-dev,
  libbs2b-dev,
  libcaca-dev,
@@ -59,15 +57,14 @@
  libopenal-dev,
  libopenjpeg-dev,
  libopus-dev,
- libpng-dev,
- libpostproc-ffmpeg-dev (>= 7:2.4~),
+ libpostproc-dev (>= 7:2.4~),
  libpulse-dev,
  librtmp-dev,
  libschroedinger-dev,
  libsdl1.2-dev,
  libsmbclient-dev [!hurd-any],
  libspeex-dev,
- libswscale-ffmpeg-dev (>= 7:2.4~),
+ libswscale-dev (>= 7:2.4~),
  libtheora-dev,
  libtwolame-dev,
  libvdpau-dev,
