=== debian/rules ===
--- 
+++ 
@@ -122,7 +122,6 @@
 override_dh_strip:
 	dh_strip --dbg-package=mplayer-dbg
 
-
 get-orig-source:
 	sh debian/get-svn-source.sh
