## mplayer 1.2.1-1ubuntu1.1+8.0trisquel1

=== debian/changelog ===
mplayer (2:1.2.1-1ubuntu1.1+8.0trisquel1) flidas-security; urgency=medium

  * Removed references to non-free stuff

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 19 Sep 2018 12:09:48 +0000

mplayer (2:1.2.1-1ubuntu1.1) xenial-security; urgency=medium

  * SECURITY UPDATE: Integer overflow in demuxer for GIFs
    - debian/patches/CVE-2016-4352.patch: Validate image size in demux_gif
    - CVE-2016-4352
  * debian/control: Change Build-Depends-Arch to Build-Depends

 -- Mike Salvatore <mike.salvatore@canonical.com>  Tue, 18 Sep 2018 06:19:08 -0400

mplayer (2:1.2.1-1ubuntu1) xenial; urgency=medium

  * Add mplayer2 transitional package to fix upgrades (LP: #1580268)

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 10 May 2016 11:19:04 -0600
