=== debian/rules ===
--- 
+++ 
@@ -20,6 +20,10 @@
 	--enable-xvmc \
 	--enable-menu \
 	--disable-arts \
+	--disable-real \
+	--disable-xanim \
+	--disable-qtx \
+	--disable-win32dll \
 	--language=all \
 	--disable-libmpeg2-internal \
 	--disable-ffmpeg_a \
