=== debian/changelog ===
mplayer (2:1.3.0-6) unstable; urgency=medium

  * Team upload.
  * Fix crash with the screenshot filter. (Closes: #834135)

 -- James Cowgill <jcowgill@debian.org>  Wed, 14 Dec 2016 22:47:17 +0000

mplayer (2:1.3.0-5) unstable; urgency=medium

  * Team upload.
  * debian/control:
    - Remove libschroedinger. Thanks to Andreas Cadhalpun.
      (Closes: #845365)
    - Update liblircclient-dev to liblirc-dev.

 -- Sebastian Ramacher <sramacher@debian.org>  Tue, 22 Nov 2016 21:44:35 +0100

mplayer (2:1.3.0-4) unstable; urgency=medium

  * Team upload.
  * Remove mplayer2 package which is being moved to mpv.

 -- James Cowgill <jcowgill@debian.org>  Wed, 26 Oct 2016 08:55:16 +0100

mplayer (2:1.3.0-3) unstable; urgency=medium

  * Team upload.

  [ Felipe Sateler ]
  * Disable esound plugin. In Debian, esound goes through pulseaudio and there
    is already a pulse plugin.

  [ Sebastian Ramacher ]
  * debian/control: Remove unused B-D on libopenjpeg-dev (Closes: #826822)

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 11 Jul 2016 23:34:26 +0200

mplayer (2:1.3.0-2) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * debian/control:
    - Add transitional package mplayer2 for upgrades from jessie Jessie.
      (Closes: #823589, LP: #1580268)
  * debian/patches:
    - Add 0100_svn37857_CVE-2016-4352.patch to fix CVE-2016-4352 -
      Mplayer/Mencoder integer overflow parsing gif files. (Closes: #823723)

  [ Miguel A. Colón Vélez ]
  * debian/patches:
    - Refresh patches to fix a FTBFS in GNU/Hurd.

 -- Miguel A. Colón Vélez <debian.micove@gmail.com>  Wed, 25 May 2016 12:01:48 -0400

mplayer (2:1.3.0-1) unstable; urgency=medium

  [ Mateusz Łukasik ]
  * Team upload.
  * New upstream release.
    - Fix FTBFS with ffmpeg 2.9 (Closes: #803844)
  * Drop mplayer-dbg package.
  * debian/control:
    - Rename Build-Depends-Arch to Build-Depends.
    - Bump Standards-Version to 3.9.8 (no changes needed).
  * debian/copyright:
    - Add missing GPL-2+ license.
  * debian/patches:
    - Refresh patches.
    - Add 0003_fix_spelling_error_in_binary.patch to fix lintian warning
      about spelling error in binary.
  * Update debian/*.lintian-overrides.
  * debian/rules:
    - Enable hardening=+all.

  [ Sebastian Ramacher ]
  * Bump libav* B-Ds to >= 7:3.0~.

 -- Mateusz Łukasik <mati75@linuxmint.pl>  Sun, 17 Apr 2016 21:19:27 +0200
