=== debian/control ===
--- 
+++ 
@@ -6,22 +6,21 @@
  A Mennucc1 <mennucc1@debian.org>,
  Miguel A. Colón Vélez <debian.micove@gmail.com>,
  Reinhard Tartler <siretart@tauware.de>
-Standards-Version: 3.9.7
-Vcs-Git: git://anonscm.debian.org/pkg-multimedia/mplayer.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-multimedia/mplayer.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-multimedia/mplayer.git
 Homepage: https://www.mplayerhq.hu
 Build-Depends:
- debhelper (>= 9~)
-Build-Depends-Arch:
+ debhelper (>= 9~),
  ladspa-sdk,
  liba52-dev,
  libaa1-dev,
  libasound2-dev [linux-any],
  libass-dev,
  libaudio-dev,
- libavcodec-dev (>= 7:2.4~),
- libavformat-dev (>= 7:2.4~),
- libavutil-dev (>= 7:2.4~),
+ libavcodec-dev (>= 7:3.0~),
+ libavformat-dev (>= 7:3.0~),
+ libavutil-dev (>= 7:3.0~),
  libbluray-dev,
  libbs2b-dev,
  libcaca-dev,
@@ -34,7 +33,6 @@
  libdvdnav-dev,
  libdvdread-dev,
  libenca-dev,
- libesd0-dev,
  libfaad-dev,
  libfontconfig1-dev,
  libfreetype6-dev,
@@ -45,7 +43,7 @@
  libgtk2.0-dev,
  libjack-dev,
  libjpeg-dev,
- liblircclient-dev,
+ liblirc-dev,
  liblzo2-dev,
  libmad0-dev,
  libmng-dev,
@@ -55,16 +53,14 @@
  libmpg123-dev,
  libncurses5-dev,
  libopenal-dev,
- libopenjpeg-dev,
  libopus-dev,
- libpostproc-dev (>= 7:2.4~),
+ libpostproc-dev (>= 7:3.0~),
  libpulse-dev,
  librtmp-dev,
- libschroedinger-dev,
  libsdl1.2-dev,
  libsmbclient-dev [!hurd-any],
  libspeex-dev,
- libswscale-dev (>= 7:2.4~),
+ libswscale-dev (>= 7:3.0~),
  libtheora-dev,
  libtwolame-dev,
  libvdpau-dev,
@@ -180,27 +176,6 @@
  Not all of the upstream code is distributed in the source tarball.
  See the README.Debian and copyright files for details.
 
-Package: mplayer-dbg
-Architecture: any
-Multi-Arch: same
-Section: debug
-Priority: extra
-Depends:
- mplayer (= ${binary:Version}),
- ${misc:Depends}
-Recommends:
- ffmpeg-dbg
-Replaces:
- mplayer2-dbg
-Conflicts:
- mplayer2-dbg
-Description: debugging symbols for MPlayer
- This package contains the debugging symbols for MPlayer, a movie
- player for Unix-like systems.
- .
- This package is required if you want to generate useful debugging
- back-traces.
-
 Package: mplayer-doc
 Architecture: all
 Multi-Arch: foreign
