=== debian/rules ===
--- 
+++ 
@@ -13,6 +13,8 @@
 CFLAGS +=$(CPPFLAGS)
 LDFLAGS += -Wl,--as-needed
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+
 CONFIGURE_FLAGS = \
 	--prefix=/usr \
 	--confdir=/etc/mplayer \
@@ -20,13 +22,10 @@
 	--enable-xvmc \
 	--enable-menu \
 	--disable-arts \
-	--disable-real \
-	--disable-xanim \
-	--disable-qtx \
-	--disable-win32dll \
 	--language=all \
 	--disable-libmpeg2-internal \
 	--disable-ffmpeg_a \
+	--disable-esd \
 	--extra-cflags="${CFLAGS}" \
 	--extra-ldflags="${LDFLAGS}" \
 	$(archconf)
@@ -123,9 +122,6 @@
 	sed -e "s/@SOUND_BACKEND@/$(sound_backend)/" -i \
 	                  $(CURDIR)/debian/mplayer/etc/mplayer/mplayer.conf
 
-override_dh_strip:
-	dh_strip --dbg-package=mplayer-dbg
-
 get-orig-source:
 	sh debian/get-svn-source.sh
