## mplayer 1.3.0-7build2+9.0trisquel1

=== debian/changelog ===
mplayer (2:1.3.0-7build2+9.0trisquel1) etiona; urgency=medium

  * Removed references to non-free stuff

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 06 Dec 2019 20:33:06 +0000

mplayer (2:1.3.0-7build2) bionic; urgency=medium

  * No-change rebuild for x264 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 30 Jan 2018 10:17:10 +0000

mplayer (2:1.3.0-7build1) bionic; urgency=medium

  * No-change rebuild against libcdio17

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 06 Dec 2017 02:52:19 +0000

mplayer (2:1.3.0-7) unstable; urgency=medium

  * Team upload.
  * Add upstream patch to fix FTBFS with ffmpeg 3.4. (Closes: #879461)
  * Use debhelper compat 10.
  * Bump standards version to 4.1.1.

 -- James Cowgill <jcowgill@debian.org>  Sun, 22 Oct 2017 11:30:37 +0100
