## mplayer 1.3.0-7ubuntu0.2+9.0trisquel1

=== debian/changelog ===
mplayer (2:1.3.0-7ubuntu0.2+9.0trisquel1) etiona-security; urgency=medium

  * Removed references to non-free stuff

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 27 Feb 2023 17:40:50 +0000

mplayer (2:1.3.0-7ubuntu0.2) bionic-security; urgency=medium

  * SECURITY UPDATE: multiple security issues
    - debian/patches/CVE-2022-38850_*.patch
    - CVE-2022-38850
    - CVE-2022-38851
    - CVE-2022-38855
    - CVE-2022-38858
    - CVE-2022-38860
    - CVE-2022-38861
    - CVE-2022-38863
    - CVE-2022-38864
    - CVE-2022-38865
    - CVE-2022-38866
  * Add patch to fix FTBFS with glibc 2.27 on i386

 -- Fabian Toepfer <fabian.toepfer@canonical.com>  Fri, 24 Feb 2023 18:23:06 +0100
